const mongodb = require('mongodb');
const { findByName, findById, updateObj, findByAttributes,} = require('./common')

const { ObjectId } = mongodb;

function findRoles(environmentId, objConstraints, searchFields) {
  let findQuery = findByAttributes(objConstraints, searchFields);
  if (environmentId) {
    findQuery.environmentId = ObjectId(environmentId);
  }
  return findQuery;
}

function findRole(environmentId, name) {
  return { environmentId: ObjectId(environmentId), name };
}

function findRoleRelations(environmentId, objConstraints, searchFields) {
  let findQuery = findByAttributes(objConstraints, searchFields);
  if (environmentId) {
    findQuery.environmentId = ObjectId(environmentId);
  }
  return findQuery;
}

function findRoleByName(environmentId, name) {
  return { environmentId: ObjectId(environmentId), name };
}

module.exports = {
  ObjectId,
  findByName,
  findById,
  updateObj,
  findByAttributes,
  findRoles,
  findRole,
  findRoleRelations,
  findRoleByName
};