/* eslint-disable global-require, import/no-dynamic-require */
const fs = require('fs');
const path = require('path');
const { camelCase } = require('change-case');

const EXCEPTION_FILE_LIST = ['index.js'];

function appQuerySets() {
  const querySets = {};
  const dirFiles = fs.readdirSync(__dirname);
  for (let index = 0; index < dirFiles.length; index += 1) {
    const file = dirFiles[index];
    if (!EXCEPTION_FILE_LIST.includes(file) && path.extname(file) === '.js') {
      const queryFileName = path.join(__dirname, file);
      const querySetName = camelCase(file.replace('.js', ''));
      const routeModule = require(queryFileName);
      querySets[querySetName] = routeModule;
    }
  }
  return querySets;
}

module.exports = appQuerySets();
