const mongodb = require('mongodb');
const { findByName, findById, updateObj, findByAttributes, } = require('./common');

const { ObjectId } = mongodb;

function findProductByFamily(productFamilyId, name = null) {
  if (name) { return { productFamilyId, name }; }
  return { productFamilyId }
}

function findSubProdByProd(productId, name = null) {
  if (name) { return { productId, name }; }
  return { productId }
}

function findEnableProd(productId, subproductId, groupId, thirdPartyId = null) {
  let query = {};
  if (productId) { query.productId = productId; }
  if (subproductId) { query.subproductId = subproductId; }
  if (groupId) { 
    query.groupId = groupId;
  } else if (thirdPartyId) {
    query.thirdPartyId = thirdPartyId;
  }
  return query;
}

module.exports = {
  findByName,
  findById,
  updateObj,
  findByAttributes,
  findProductByFamily,
  findSubProdByProd,
  findEnableProd
};