const mongodb = require('mongodb');
const { findByName, findById, updateObj, findByAttributes, } = require('./common');

const { ObjectId } = mongodb;

function findThirdParty(idDocType, idDocNumber) {
  return { idDocType, idDocNumber };
}

function addExternalRef(objectData) {
  return { $push: { externalCoding: { ...objectData } } };
}

function removeExternalRef(externalSource) {
  return { $pull: { externalCoding: { externalSource } } };
}

function findThirdRole(thirdPartyId, roleId) {
  return {
    _id: ObjectId(thirdPartyId),
    roles: { $elemMatch: { roleId: ObjectId(roleId) } },
  };
}

function addRole(roleData) {
  return { $push: { roles: { ...roleData } } };
}

function removeRole(roleId) {
  return { $pull: { roles: { roleId } } };
}

function findGroup(ownerId, groupNam) {
  return { ownerId, groupNam };
}

function findThirdGroup(thirdPartyId, groupId) {
  return { thirdPartyId, groupId };
}

function findMembers(groupId) {
  return { groupId };
}

function findThirdRelation(primaryThirdParty, secondaryThirdParty, roleRelationId) {
  return { primaryThirdParty, secondaryThirdParty, roleRelationId };
}

module.exports = {
  findByName,
  findById,
  updateObj,
  findByAttributes,
  findThirdParty,
  addExternalRef,
  removeExternalRef,
  findThirdRole,
  addRole,
  removeRole,
  findGroup,

  findThirdGroup,
  findMembers,
  findThirdRelation
};