const Joi = require('joi');

const dataConstraints = Joi.object().keys({
  recordsNumber: Joi.number().integer(),
  pageNumber: Joi.number().integer(),
  includeTotalRows: Joi.boolean(),
  ordering: Joi.array().items(
    Joi.object().keys({
      field: Joi.string().required(),
      order: Joi.string().required().valid('asc', 'desc'),
    }),
  ).min(1),
  simpleFilter: Joi.array().items(),
  filtersByValue: Joi.array().items(
    Joi.object().keys({
      field: Joi.string().required(),
      operator: Joi.string().required(),
      value: Joi.array().items().min(1).required(),
    }),
  ).min(1),
});

const requestReference = Joi.string();

module.exports = { dataConstraints, requestReference };